
QGIS Application - Bug report #11499

Style manager fails to load XML from Github URL

2014-10-25 01:06 PM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19769

Description

It used to be possible to load XMLs directly from Github, e.g.

https://raw.githubusercontent.com/anitagraser/QGIS-resources/master/qgis1.8/symbols/osm_symbols.xml

Now I get: Download failed: SSL handshake failed.

Tested with OSGeo4W nightly.

Related issues:

Related to QGIS Application - Feature request # 11473: Use TLS v1.2 instead o... Closed 2014-10-22

History

#1 - 2014-10-25 04:08 PM - Jürgen Fischer

32 or 64bit OSGeo4W?

#2 - 2014-10-25 04:17 PM - Jürgen Fischer

- Status changed from Open to Feedback

#3 - 2014-10-26 03:41 AM - Anita Graser

32 bit

Win7

#4 - 2014-10-30 01:08 AM - Salvatore Larosa

I am not sure if it is related, but recently on the italian mailing list was reported a similar issue. An user is experiencing the same error by using a WMS via

HTTPS protocol under Windows 32bit. Could this be an issue with SSL/TLS for 32bit platform?

#5 - 2014-10-30 01:16 AM - Jürgen Fischer

Salvatore Larosa wrote:

I am not sure if it is related, but recently on the italian mailing list was reported a similar issue. An user is experiencing the same error by using un

WMS via HTTPS protocol under Windows 32bit. Could this be an issue with SSL/TLS for 32bit platform?
https://raw.githubusercontent.com/anitagraser/QGIS-resources/master/qgis1.8/symbols/osm_symbols.xml


It's a problem with Qt 4.7.1 that is used on OSGeo4W 32bit.

#6 - 2014-11-03 09:41 AM - Thomas Arnold

Is there a possibility to make a workaround (http://stackoverflow.com/questions/21636728/qt-ssl-handshake-failed?rq=1 or 

http://qt-project.org/forums/viewthread/4502)?

#7 - 2014-11-03 11:43 AM - Anita Graser

Should this remain on feedback or should it be changed back to open?

#8 - 2014-11-03 01:58 PM - Jürgen Fischer

- Status changed from Feedback to Open

#9 - 2014-11-03 04:07 PM - Jeremy Palmer

I can confirm this on windows 7 32bit as well. With IT departments switching off SSLv3 support due poodle this will become more and more of an issue

when connecting to site over HTTPS.

#10 - 2014-12-04 01:30 AM - Jeremy Palmer

Possible to get this fixed. Maybe backport the fix to the 4.7 code for OSGEO4W?

#11 - 2015-01-16 10:24 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#12 - 2015-01-21 04:16 AM - Jürgen Fischer

- Status changed from Open to Closed

Qt in OSGeo4W 32bit was updated to 4.8.6
